﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;

namespace AplikacjaOkienkowa
{
    public class FileReader : IReader
    {
        private readonly string _fileName;
        public FileReader(string fileName)
        {
            _fileName = fileName;

        }

        public string Read()
        {
            FileStream plik = File.Open(_fileName, FileMode.Open, FileAccess.Read);
            var sr = new StreamReader(plik);
            string tekst = sr.ReadToEnd();
            sr.Close();
            plik.Close();

            return tekst;
        }

    }

    public class AtrapaReadera : IReader
    {
        public string Read()
        {
            return "Ala ma kota, a kot ma Alę!!!";
        }
    }

}
